<?php
/*  Copyright 2013  Etalia  (tech@etalia.net)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//========== Common parts =========

function etalia_getEmail() {
    return get_option(ETALIA_ACCOUNT_EMAIL);
}

function etalia_getPassword() {
    return get_option(ETALIA_ACCOUNT_PASSWORD);
}

function etalia_getPublication() {
    return get_option(ETALIA_PUBLICATION);
}

function etalia_getUseSigner() {
    return get_option(ETALIA_USE_SIGNER);
}

function etalia_getLinkToPost() {
    return get_option(ETALIA_LINK_TO_POST);
}

function etalia_getLang() {
    return get_option(ETALIA_LANG);
}

function etalia_getAuthorization() {
    $ch = curl_init(); 
    curl_setopt($ch, CURLOPT_URL, ETALIA_SERVER."/user");
    curl_setopt($ch, CURLOPT_HTTPGET, true);
    curl_setopt($ch, CURLOPT_HTTPHEADER, array("Authorization: Etalia_".etalia_getEmail().":".etalia_getPassword()));
    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    $json = json_decode(curl_exec($ch), true);
    curl_close($ch);
    return $json['extraData']['auth'];
}

//========== Common parts =========
?>